M_ActivityLuckyMapCFG = {}

function M_ActivityLuckyMapCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityLuckyMapCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, FishName = "鮟鱇鱼", Order = 8, FishMultiple = "100~5000倍", FishResource = "icon_ankangyu"}
	self.datas[2] = {ID = 2, FishName = "锤头鲨", Order = 12, FishMultiple = "100~9999倍", FishResource = "icon_chuitousha"}
	self.datas[3] = {ID = 3, FishName = "刀鱼", Order = 9, FishMultiple = "100~6000倍", FishResource = "icon_daoyu"}
	self.datas[4] = {ID = 4, FishName = "海马", Order = 11, FishMultiple = "100~7000倍", FishResource = "icon_haima"}
	self.datas[5] = {ID = 5, FishName = "红刺豚鱼", Order = 4, FishMultiple = "100~1500倍", FishResource = "icon_hongcitun"}
	self.datas[6] = {ID = 6, FishName = "寄居蟹", Order = 2, FishMultiple = "100~1500倍", FishResource = "icon_jijuxie"}
	self.datas[7] = {ID = 7, FishName = "蓝刺豚鱼", Order = 3, FishMultiple = "100~1500倍", FishResource = "icon_lancitun"}
	self.datas[8] = {ID = 8, FishName = "神仙鱼", Order = 6, FishMultiple = "100~3000倍", FishResource = "icon_shenxianyu"}
	self.datas[9] = {ID = 9, FishName = "狮子鱼", Order = 7, FishMultiple = "100~4000倍", FishResource = "icon_shiziyu"}
	self.datas[10] = {ID = 10, FishName = "小丑鱼", Order = 1, FishMultiple = "100~1500倍", FishResource = "icon_xiaochouyu"}
	self.datas[11] = {ID = 11, FishName = "小海龟", Order = 10, FishMultiple = "100~5000倍", FishResource = "icon_xiaohaigui"}
	self.datas[12] = {ID = 12, FishName = "鹦鹉鱼", Order = 5, FishMultiple = "100~2000倍", FishResource = "icon_yingwuyu"}
end

M_ActivityLuckyMapCFG:init()
